//****************************************************************************
// @Module        Main
// @Filename      MAIN.C
// @Project       7CAN_1.dav
//----------------------------------------------------------------------------
// @Controller    Infineon C167CR-L
//
// @Compiler      TASKING C166
//
// @Codegenerator DAvE 2-0-0
//
// @Description   This file contains the Project initialization function.
//
//----------------------------------------------------------------------------
// @Date          12.06.01 14:09:15
//
//****************************************************************************

/*
******************************************************************************
@Note




******************************************************************************
*/

//****************************************************************************
// @Project Includes
//****************************************************************************

#include "MAIN.H"


//***************************************************************************
// @Global Variables
//***************************************************************************

// USER CODE BEGIN (Main,0)

char objeckt[8]={0x00,0x11,0x22,0x33,0x44,0x55,0x66,0x88};
unsigned int i;

// USER CODE END


//****************************************************************************
// @Function      void Project_Init(void)
//
//----------------------------------------------------------------------------
// @Description   This function initializes the microcontroller.
//
//----------------------------------------------------------------------------
// @Returnvalue   none
//
//----------------------------------------------------------------------------
// @Parameters    none
//
//----------------------------------------------------------------------------
// @Date          12.06.01 14:09:15
//
//****************************************************************************

void Project_Init(void)
{

  /// the following initialization is made by the compiler EDE when you
  /// import the DAvE project

  /// --- initialization of the SYSCON Register ---
  ///- 256 words system stack
  ///- the internal ROM area is mapped to segment 0
  ///- the segmentation is enabled (CSP is saved/restored during interrupt entry/exit)
  ///- the internal ROM is disabled: accesses to the ROM area use the external bus
  ///- the pin #BHE (byte high enable) is enabled
  ///- the system clock output is disabled
  ///- the pin #WR acts as #WRL and pin #BHE acts as #WRH
  ///- the on-chip X-Peripherals are enabled and can be accessed
  ///- accesses to the XBUS peripherals are done internally
  ///- external accesses to the XBUS peripherals are disabled


  /// --- initialization of the BUSCON 0-4 and ADRRSEL Registers 1-4 ---

  /// ---------- external bus 0 is enabled ----------
  ///- 16-bit demultiplexed bus
  ///- memory cycle time control: 15 waitstates
  ///- read/write delay control: activate signal 1 TCL after falling edge of ALE  
  ///- signal configuration: disable READY signal 
  ///- chip select mode: address chip select 
  ///- memory tristate control: 1 waitstate
  ///- ALE lengthening control: lengthened ALE signal


  // initializes the CAN peripheral
  CAN_vInit();

  // USER CODE BEGIN (Project_Init,1)

  // USER CODE END

  // globally enable interrupts
  IEN = 1;
}


//****************************************************************************
// @Function      void main(void)
//
//----------------------------------------------------------------------------
// @Description   This is the main function.
//
//----------------------------------------------------------------------------
// @Returnvalue   none
//
//----------------------------------------------------------------------------
// @Parameters    none
//
//----------------------------------------------------------------------------
// @Date          12.06.01 14:09:15
//
//****************************************************************************

void main(void)
{
  // USER CODE BEGIN (Main,1)

  // USER CODE END

  Project_Init();

  // USER CODE BEGIN (Main,2)
  while(1)
  {
    CAN_vTransmit(1);
    CAN_OBJ[0].Data[7] = objeckt[7]++;   // set data byte 7
    for(i = 0; i < 65000; i++);
  }

 

  // USER CODE END
}

